Announcement

Collapse
No announcement yet.

How to set up a feeder using 64-bit Ubuntu Linux on Intel platform

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • #16
    Your posts are going into moderation because leaving @ sign present

    Sent from my EML-L09 using Tapatalk
    Posts not to be taken as official support representation - Just a helpful uploader who tinkers

    Comment


    • #17
      Thank you erpomik, I will try your manual from post #1.
      Do you think that I can use that 1:1 one a debian linux without any desktop/gui installed?

      Will I also have to install dump1090 if I don't want to access my installation via web browser? I just want to feed Flightradar24. So can I skip some steps?


      And: How can I install the most current version 1.0.24-4?

      Comment


      • #18
        Sorry, but the step-by-step manual from post #1 is also not working, look the error in the end "make: *** No targets specified and no makefile found. Stop.":

        Code:
        root@Server:~# git clone https://github.com/mutability/dump1090.git
        Cloning into 'dump1090'...
        remote: Enumerating objects: 3, done.
        remote: Counting objects: 100% (3/3), done.
        remote: Compressing objects: 100% (2/2), done.
        remote: Total 5333 (delta 0), reused 3 (delta 0), pack-reused 5330
        Receiving objects: 100% (5333/5333), 6.90 MiB | 3.59 MiB/s, done.
        Resolving deltas: 100% (3577/3577), done.
        root@Server:~# gunzip --keep fr24-raspberry-pi-latest.img.gz
        root@Server:~# tar xzf fr24feed_1.0.18-5_amd64.tgz
        root@Server:~# cd dump1090
        root@Server:~/dump1090# make
        make: *** No targets specified and no makefile found.  Stop.
        root@Server:~/dump1090# ls -l
        total 4
        -rw-r--r-- 1 root root 311 Oct 15 13:15 README.md

        Comment


        • #19
          I tried it now with another version of dump1090, cause the one you linked is not maintained any longer, but the new one brings up other errors:

          Code:
          root@Server:~# git clone https://github.com/flightaware/dump1090.git
          Cloning into 'dump1090'...
          remote: Enumerating objects: 10, done.
          remote: Counting objects: 100% (10/10), done.
          remote: Compressing objects: 100% (10/10), done.
          remote: Total 8946 (delta 3), reused 2 (delta 0), pack-reused 8936
          Receiving objects: 100% (8946/8946), 26.68 MiB | 5.72 MiB/s, done.
          Resolving deltas: 100% (6300/6300), done.
          root@Server:~# cd dump1090
          root@Server:~/dump1090# ls
          ais_charset.c  bladerf   convert.c  cpr.h       debian         dump1090.c     icao_filter.h  Makefile   net_io.c          public_html     sdr_bladerf.h  sdr_ifile.h   stats.h    track.h
          ais_charset.h  comm_b.c  convert.h  cprtests.c  debian-wheezy  dump1090.h     interactive.c  mode_ac.c  net_io.h          README-json.md  sdr.c          sdr_rtlsdr.c  testfiles  util.c
          anet.c         comm_b.h  COPYING    crc.c       demod_2400.c   faup1090.c     Jenkinsfile    mode_s.c   oneoff            README.md       sdr.h          sdr_rtlsdr.h  tools      util.h
          anet.h         compat    cpr.c      crc.h       demod_2400.h   icao_filter.c  LICENSE        mode_s.h   prepare-build.sh  sdr_bladerf.c   sdr_ifile.c    stats.c       track.c    view1090.c
          root@Server:~/dump1090# make
          Package libbladeRF was not found in the pkg-config search path.
          Perhaps you should add the directory containing `libbladeRF.pc'
          to the PKG_CONFIG_PATH environment variable
          No package 'libbladeRF' found
          cc -DMODES_DUMP1090_VERSION=\"\" -DMODES_DUMP1090_VARIANT=\"dump1090-fa\" -DENABLE_RTLSDR -DENABLE_BLADERF -std=c11 -O2 -g -Wall -Werror -W -D_DEFAULT_SOURCE -I/usr/include/  -c dump1090.c -o dump1090.o
          Package libbladeRF was not found in the pkg-config search path.
          Perhaps you should add the directory containing `libbladeRF.pc'
          to the PKG_CONFIG_PATH environment variable
          No package 'libbladeRF' found
          cc -DMODES_DUMP1090_VERSION=\"\" -DMODES_DUMP1090_VARIANT=\"dump1090-fa\" -DENABLE_RTLSDR -DENABLE_BLADERF -std=c11 -O2 -g -Wall -Werror -W -D_DEFAULT_SOURCE -I/usr/include/  -c anet.c -o anet.o
          Package libbladeRF was not found in the pkg-config search path.
          Perhaps you should add the directory containing `libbladeRF.pc'
          to the PKG_CONFIG_PATH environment variable
          No package 'libbladeRF' found
          cc -DMODES_DUMP1090_VERSION=\"\" -DMODES_DUMP1090_VARIANT=\"dump1090-fa\" -DENABLE_RTLSDR -DENABLE_BLADERF -std=c11 -O2 -g -Wall -Werror -W -D_DEFAULT_SOURCE -I/usr/include/  -c interactive.c -o interactive.o
          interactive.c:52:20: fatal error: curses.h: No such file or directory
           #include <curses.h>
                              ^
          compilation terminated.
          Makefile:45: recipe for target 'interactive.o' failed
          make: *** [interactive.o] Error 1
          Could you please help me to get it running?

          Comment


          • #20
            Hello @mensa

            No, you only need dump1090 if you would like to know what your RTL-SDR Dongle is catching in a graphical way. (See screenshot below)
            I am not sure what you mean when you say: "How can I install the most current version?". As I see it, there is no such version available for Linux (https://www.flightradar24.com/share-your-data). I have complained about this to the FlightRadar guys, but the response I have received is: "No one runs FR24 on Linux".

            Best regards
            /Ernst


            erpomik-dump1090.jpg

            Comment


            • #21
              On which systems do they run FR24?

              In that post the super moderator Oblivian mentioned, that current version is 1.0.24-4: https://forum.flightradar24.com/thre...l=1#post128403

              Comment


              • #22
                This may give you a few pointers on compiling and installing dump1090-fa:

                https://github.com/wiedehopf/adsb-wi...fa-from-source

                Depending on your version of debian, you might need to disable the bladerf part of the compilation.
                If you don't know how to do that, you can try if this compiles for you:
                https://github.com/wiedehopf/dump1090

                Good luck!

                To run i386 applications, you'll need these commands:
                Code:
                sudo dpkg --add-architecture i386
                sudo apt update
                sudo apt dist-upgrade
                sudo apt install libc6:i386 libstdc++6:i386 libusb-1.0-0:i386
                sudo ldconfig
                Then the fr24feed should run.
                If it doesn't you can still replace the binary with the 64 bit binary they offer for download.
                The service should keep working.

                You'll need to do some googling and understand how services work for linux if you want to do it properly
                Read some script and look at one of my git repository: https://github.com/wiedehopf/graphs1090#graphs1090

                Basically you should be able to understand how systemd services are set up if you try to understand it long enough.

                Comment


                • #23
                  I got it installed using the manual of post #1 but I did exclude every line with dump1090, cause I don't need it, right?

                  When I run the command fr24feed-status now, I get some failed, what does that mean exactly now? Am I feeding?

                  Code:
                  root@Server:~# fr24feed-status
                  [ ok ] FR24 Feeder/Decoder Process: running.
                  [ ok ] FR24 Stats Timestamp:.
                  [ ok ] FR24 Link: connected [UDP].
                  [ ok ] FR24 Radar: T-UHSK1.
                  [ ok ] FR24 Tracked AC:.
                  [FAIL] Receiver: down ... failed!
                  [FAIL] FR24 MLAT: not running ... failed!

                  Comment


                  • #24
                    You need dump1090, i'd recommend dump1090-fa.

                    Or what is your receiver hardware?

                    Comment


                    • #25
                      I have that one from Amazon, is it good? https://www.amazon.de/gp/product/B013Q94CT6

                      Comment


                      • #26
                        Hello @widehopf

                        You don't need dump1090 if you you just want to feed FR24. The dump1090 module is only used for viewing the data received by your SDR device.
                        I was running my own service for a long time without the dump1090 module.


                        ERRATA: My sincere apologies, it must have been a brain fart that caused me to remember wrong.

                        /Ernst
                        Last edited by erpomik; 2019-10-16, 11:54.

                        Comment


                        • #27
                          Hello @mensa

                          The guys from FlightRadar likes to run fr24feed on Raspberry Pi's, which in fact is the only platform they really support.
                          Because RPi's are ARM-based, you cannot use 1.0.24-4 from the RPi image on your Debian.

                          /Ernst

                          Comment


                          • #28
                            I never thought, that it would be that hard.

                            Isn't there any step-by-step manual for a freshly installed Debian 9 x64 Linux???

                            Comment


                            • #29
                              Yes you need dump1090, it's the software that connects to the dvb-t stick / rtl-sdr dongle.


                              What you have used before was fr24feed automatically starting dump1090.
                              That's not gonna work with dump1090-fa.

                              Anyway it's not that hard to compile.
                              Then here the required settings are explained: https://github.com/wiedehopf/adsb-wi...ng-dump1090-fa

                              So compile dump1090-fa, check that it's working and then configure fr24feed to use it as a data source like described in the link above.

                              Anyway you are asking for a solution, i'm offering you one.
                              If you don't want to believe me that you need dump1090 i can't help you.

                              Comment


                              • #30
                                Ok, I believe you absolutely.
                                So I will start with a fresh installation Debian 9 x64 Linux installation now.

                                Can you please which exact steps are necessary now to get it running? I believe you, that dump1090 is necessary, but which steps are before and after dump1090 necessary to get fr24 feeder running?

                                Comment

                                Working...
                                X